## xfce4-whiskermenu-plugin 1.7.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(whiskermenu)

# version number
set(whiskermenu_version_major "1")
set(whiskermenu_version_minor "7")
set(whiskermenu_version_micro "2")
set(whiskermenu_version_tag "")
set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
if(${whiskermenu_version_tag} MATCHES "git")
	if(NOT DEFINED whiskermenu_version_build)
		execute_process(COMMAND git describe
			WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
			OUTPUT_VARIABLE whiskermenu_version_build)
		string(REGEX REPLACE "^.*-g" "" whiskermenu_version_build "${whiskermenu_version_build}")
		string(REGEX REPLACE "\n" "" whiskermenu_version_build "${whiskermenu_version_build}")
	endif()
	set(whiskermenu_version "${whiskermenu_version}.${whiskermenu_version_tag}-${whiskermenu_version_build}")
endif()

# options
option(ENABLE_VISIBILITY "Enable ELF visibility attributes" ON)
option(ENABLE_AS_NEEDED "Enable -Wl,--as-needed for the linker" ON)
option(ENABLE_LINKER_OPTIMIZED_HASH_TABLES "Enable -Wl,-O1 for the linker" ON)
option(ENABLE_DEVELOPER_MODE "Enable strict checks to help with development" OFF)

include(GNUInstallDirs)

add_subdirectory(icons)
add_subdirectory(panel-plugin)
add_subdirectory(po)

# uninstall target
configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/cmake/uninstall.cmake.in
	${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake
	IMMEDIATE @ONLY)
add_custom_target(uninstall
	${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/uninstall.cmake)

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.7.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fixed category names checkbox incorrectly enabled when opening dialog.
    - Fixed category names turning off at login. (bug #13422)
    - Translation updates: Arabic, Icelandic, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 04 Apr 2017 11:48:52 +0000

xfce4-whiskermenu-plugin (1.7.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fixed memory leak when editing launcher.
    - Translation updates: Catalan, Danish, German, Portuguese,
      Portuguese (Brazil), Russian, Serbian, Serbian (Latin).

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Mar 2017 14:39:18 +0000

xfce4-whiskermenu-plugin (1.7.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Add editing launchers from context menu. (bug #13290)
    - Add support for desktop actions. (bug #11787)
    - Add option to hide category names. (bug #12895)
    - Load applications immediately.
    - Translation updates: Bulgarian, Chinese (Taiwan), Croatian, Czech,
      Dutch, French, German, Greek, Hungarian, Korean, Kazakh, Lithuanian,
      Nepali, Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil),
      Serbian, Slovak, Slovenian, Spanish, Turkish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Feb 2017 14:01:44 +0000

xfce4-whiskermenu-plugin (1.6.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Translation updates: Croatian, Dutch, Greek, Korean, Nepali,
      Norwegian Bokmål, Portuguese, Portuguese (Brazil), Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 10 Dec 2016 13:58:26 +0000

xfce4-whiskermenu-plugin (1.6.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Translation updates: Asturian, Basque, Catalan (Valencian),
      Chinese (China), Kazakh, Lithuanian, Polish, Russian, Turkish,
      Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 17 Oct 2016 10:34:52 +0000

xfce4-whiskermenu-plugin (1.6.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Add keyboard navigation for categories. (bug #11550)
    - Add tooltips for program descriptions. (bug #12379)
    - Add web search action.
    - Hide recent items when maximum is set to zero.
    - Prevent memory leak when changing element text.
    - Search favorites and recent first.
    - Switch to icon names from GtkStock.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Dutch, German, French, Hebrew, Hungarian, Lithuanian, Polish, Slovak,
      Slovenian, Serbian, Spanish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 20 Aug 2016 15:58:10 +0000

xfce4-whiskermenu-plugin (1.5.3-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix stuck button highlight. (bug #12402)
    - Fix losing categories. (bug #12541)
    - Fix warning about infinite recursion. (bug #12398)
    - Translation updates: Amharic, Basque, Dutch, Hebrew, Icelandic.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 16 Apr 2016 18:02:20 +0000

xfce4-whiskermenu-plugin (1.5.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix modifier keys resetting focus to search entry. (bug #12378)
    - Fix limited input length for search actions. (bug #12381)
    - Fix menu shrinking unnecessarily. (bug #12246)
    - Fix minimum window size.
    - Translation updates: Chinese (China), Hungarian, Korean, Lithuanian,
      Romanian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 29 Dec 2015 14:47:45 +0000

xfce4-whiskermenu-plugin (1.5.1-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix window being draggable. (bug #11908)
    - Fix not searching descriptions.
    - Translation updates: Asturian, Bulgarian, Chinese (China),
      Chinese (Taiwan), Croatian, Czech, Danish, Dutch, French, Finnish,
      German, Indonesian, Japanese, Kazakh, Lithuanian, Malay, Nepali,
      Norwegian Bokmål, Persian, Polish, Portuguese, Russian, Serbian,
      Slovak, Slovenian, Spanish, Swedish, Turkish

 -- Graeme Gott <graeme@gottcode.org>  Mon, 21 Sep 2015 19:30:07 +0000

xfce4-whiskermenu-plugin (1.5.0-0ppa1~xenial2) xenial; urgency=low

  * Rebuild for libxfce4util7

 -- Graeme Gott <graeme@gottcode.org>  Mon, 13 Apr 2015 12:35:37 +0000

xfce4-whiskermenu-plugin (1.5.0-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix search activation to allow input methods.
    - Fix broken menu when closed by window manager.
    - Fix unnecessary assignment to NULL.
    - Fix possible null pointer dereference.
    - Add option to set background opacity.
    - Add command to edit profile.
    - Add profile picture.
    - Add customizable limit for recently used.
    - Add support for non-square panel button icon.
    - Add items of Xfce settings manager to allow searching.
    - Expand subcategories when activated.
    - Load default settings from XDG location.
    - Make launchers executable when they are added to desktop.
    - Rearrange options in configuration dialog.
    - Refactor list page code.
    - Rename option for including favorites in recently used.
    - Rename option to use single panel row.
    - Rename button to match default menu applet.
    - Use a single instance of the garcon menu.
    - Translation updates: Bulgarian, Catalan, Dutch, French, German, Hebrew,
      Italian, Japanese, Lithuanian, Polish, Portuguese, Slovak, Slovenian,
      Spanish, Swedish, Turkish, Chinese (Taiwan).

 -- Graeme Gott <graeme@gottcode.org>  Wed, 18 Feb 2015 18:39:06 +0000

xfce4-whiskermenu-plugin (1.4.3-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix hang at launch by removing load thread.
    - Fix not saving sorted favorites.
    - Translation updates: French, Hungarian, Russian, Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 14 Feb 2015 13:18:28 +0000

xfce4-whiskermenu-plugin (1.4.2-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fix panel button border not shown when pressed.


=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: debhelper (>= 9),
    cmake,
    pkg-config,
    gettext,
    hicolor-icon-theme,
    libexo-1-dev,
    libgarcon-1-0-dev,
    libgtk2.0-dev,
    libxfce4ui-1-dev,
    libxfce4util-dev,
    xfce4-panel-dev
Standards-Version: 3.9.6
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternate Xfce menu
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level catagories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 1.7.3

=== debian/changelog ===
xfce4-whiskermenu-plugin (1.7.3-0ppa1~xenial1) xenial; urgency=low

  * New upstream release
    - Fixed desktop action incorrectly parsing escaped k.
    - Translation updates: Catalan, Chinese (China), German, Italian, Nepali,
      Portuguese, Portuguese (Brazil), Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 05 Aug 2017 23:11:30 +0000

## xfce4-whiskermenu-plugin 1.7.5

=== debian/changelog ===
xfce4-whiskermenu-plugin (1:1.7.5-0.1~mx15+1) mx; urgency=medium

  * New upstream release:
    - Translation updates: Amharic, Danish, Japanese, Malay, Romanian.
    - Fix typo. (bug #14001)
    - Fix missing epoch.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 11 Jan 2018 17:54:56 -0800

xfce4-whiskermenu-plugin (1.7.4-0mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Dec 2017 13:56:48 -0800

xfce4-whiskermenu-plugin (1.7.4-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Translation updates: Catalan (Valencian), Danish, Hebrew, Hungarian,
      Lithuanian, Norwegian Bokmål, Portuguese (Brazil), Russian, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 13 Nov 2017 18:23:05 +0000

xfce4-whiskermenu-plugin (1:1.7.3-1mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Sep 2017 13:44:07 -0700

xfce4-whiskermenu-plugin (1.7.3-0ppa1~trusty1) trusty; urgency=low

  * New upstream release
    - Fixed desktop action incorrectly parsing escaped k.
    - Translation updates: Catalan, Chinese (China), German, Italian, Nepali,
      Portuguese, Portuguese (Brazil), Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 05 Aug 2017 23:11:30 +0000

xfce4-whiskermenu-plugin (1:1.7.2-1mx15+1) mx; urgency=medium

  * New upstream release: 
    - Fixed category names checkbox incorrectly enabled when opening dialog.
    - Fixed category names turning off at login. (bug #13422)
    - Translation updates: Arabic, Icelandic, Swedish.
  * Add epoch instead of faking that it's the 2.X series.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 May 2017 18:21:57 -0700

xfce4-whiskermenu-plugin (2.0.3really1.7.1-1mx15+1) mx; urgency=medium

  * Oops retraction of inconventient upgrade

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 21 May 2017 11:48:49 -0400

xfce4-whiskermenu-plugin (1.7.1-0mx15+1) mx; urgency=medium

  * New upstream release:
    - Fixed memory leak when editing launcher.
    - Translation updates: Catalan, Danish, German, Portuguese,
      Portuguese (Brazil), Russian, Serbian, Serbian (Latin).
  * debian/copyright: extend copyright for source through 2017.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Mar 2017 18:11:25 -0700

xfce4-whiskermenu-plugin (1.7.0-0mx15+1) mx; urgency=medium

  * New upstream release:
  - Add editing launchers from context menu (bug #13290)
  - Add support for desktop actions (bug #11787)
  - Add option to hide category names (bug #12895)
  - Load applications immediately
  - Translation updates: Bulgarian, Chinese (Taiwan), Croatian, Czech, Dutch,
    French, German, Greek, Hungarian, Korean, Kazakh, Lithuanian, Nepali,
    Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil), Serbian, Slovak,
    Slovenian, Spanish, Turkish, Ukrainian

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 01 Feb 2017 16:14:16 -0800

xfce4-whiskermenu-plugin (1.6.2-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Jan 2017 14:21:04 -0800

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>,
 Jackson Doak <noskcaj@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext,
    hicolor-icon-theme, libexo-1-dev, libgarcon-1-0-dev, libgtk2.0-dev,
    libxfce4ui-1-dev, libxfce4util-dev, xfce4-panel-dev
Standards-Version: 3.9.8
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

=== debian/watch ===
version=4
http://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/([\d\.]+)/ \
	xfce4-whiskermenu-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-whiskermenu-plugin 2.1.0

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.1.0-0ubuntu1) zesty; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/control: Update build-deps to GTK3 variants.
    - libgtk2.0-dev → libgtk-3-dev
    - libexo-1-dev → libexo-2-dev
    - libxfce4ui-1-dev → libxfce4ui-2-dev
    - xfce4-panel-dev → libxfce4panel-2.0-dev

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 15 Feb 2017 21:41:29 -0500

## xfce4-whiskermenu-plugin 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 project(whiskermenu)
 
 # version number
-set(whiskermenu_version_major "1")
-set(whiskermenu_version_minor "7")
-set(whiskermenu_version_micro "2")
+set(whiskermenu_version_major "2")
+set(whiskermenu_version_minor "1")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.1.1-0ubuntu1) devel; urgency=medium

  * New upstream bugfix release.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 01 Mar 2017 19:40:31 -0500

## xfce4-whiskermenu-plugin 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "1")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

## xfce4-whiskermenu-plugin 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "1")
-set(whiskermenu_version_micro "2")
+set(whiskermenu_version_micro "3")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.1.3-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * Run wrap-and-sort.
  * Update standards version to 4.1.1.
  * d/rules:
    - Drop -DCMAKE_BUILD_TYPE=Release as this prevents dbgsym generation.
  * d/defaults.rc:
    - Change the default switch user command to use dm-tool.    Closes: #849159

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Yves-Alexis Perez ]
  * debian/control:
    - suggests mugshot.                                         closes: #873881

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 11 Nov 2017 16:34:45 +0100

xfce4-whiskermenu-plugin (2.1.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 26 Mar 2017 23:46:21 +0200

xfce4-whiskermenu-plugin (2.0.3-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 13 Dec 2016 21:35:06 +0100

xfce4-whiskermenu-plugin (2.0.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Change depends to gtk3.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Aug 2016 20:33:50 +0200

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>,
           Jackson Doak <noskcaj@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               gettext,
               hicolor-icon-theme,
               libexo-2-dev (>= 0.11),
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Standards-Version: 4.1.1
Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mugshot
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 2.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "1")
-set(whiskermenu_version_micro "3")
+set(whiskermenu_version_micro "5")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.1.5-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 21 Mar 2018 01:45:34 -0400

xfce4-whiskermenu-plugin (2.1.4-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/copyright, d/control:
    - Update homepage and source URLs.
  * d/copyright, d/watch:
    - Update to use https.
  * Update Standards-Version to 4.1.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 18 Dec 2017 21:09:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-whiskermenu-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>,
            Jackson Doak <noskcaj@ubuntu.com>
@@ -16,8 +17,8 @@
                libxfce4ui-2-dev,
                libxfce4util-dev,
                pkg-config
-Standards-Version: 4.1.1
-Homepage: http://gottcode.org/xfce4-whiskermenu-plugin/
+Standards-Version: 4.1.2
+Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-whiskermenu-plugin/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## xfce4-whiskermenu-plugin 2.1.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "1")
-set(whiskermenu_version_micro "5")
+set(whiskermenu_version_micro "7")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== panel-plugin/CMakeLists.txt ===
set(WHISKERMENU_FLAGS "-Wall -Wextra")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${WHISKERMENU_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WHISKERMENU_FLAGS}")
if(ENABLE_VISIBILITY)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(ENABLE_AS_NEEDED)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--as-needed")
endif()
if(ENABLE_LINKER_OPTIMIZED_HASH_TABLES)
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-O1")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0>=3.12)
pkg_check_modules(exo REQUIRED exo-2>=0.11)
pkg_check_modules(garcon REQUIRED garcon-1)
pkg_check_modules(libxfce4panel REQUIRED libxfce4panel-2.0>=4.11)
pkg_check_modules(libxfce4ui REQUIRED libxfce4ui-2>=4.11)
pkg_check_modules(libxfce4util REQUIRED libxfce4util-1.0>=4.11)

include_directories(
	${GTK3_INCLUDE_DIRS}
	${exo_INCLUDE_DIRS}
	${garcon_INCLUDE_DIRS}
	${libxfce4panel_INCLUDE_DIRS}
	${libxfce4ui_INCLUDE_DIRS}
	${libxfce4util_INCLUDE_DIRS})

link_directories(
	${GTK3_LIBRARY_DIRS}
	${exo_LIBRARY_DIRS}
	${garcon_LIBRARY_DIRS}
	${libxfce4panel_LIBRARY_DIRS}
	${libxfce4ui_LIBRARY_DIRS}
	${libxfce4util_LIBRARY_DIRS})

add_definitions(
	-DGETTEXT_PACKAGE="xfce4-whiskermenu-plugin"
	-DPACKAGE_LOCALE_DIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
	-DPACKAGE_NAME="xfce4-whiskermenu-plugin"
	-DPACKAGE_VERSION="${whiskermenu_version}"
	-DBINDIR="${CMAKE_INSTALL_FULL_BINDIR}"
	-DDATADIR="${CMAKE_INSTALL_FULL_DATADIR}"
	-DSETTINGS_MENUFILE="${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/menus/xfce-settings-manager.menu"
	-DG_LOG_DOMAIN="whiskermenu"
	-DGSEAL_ENABLE
	-DGTK_MULTIHEAD_SAFE
	${GTK3_CFLAGS_OTHER}
	${exo_CFLAGS_OTHER}
	${garcon_CFLAGS_OTHER}
	${libxfce4panel_CFLAGS_OTHER}
	${libxfce4ui_CFLAGS_OTHER}
	${libxfce4util_CFLAGS_OTHER})

if(ENABLE_DEVELOPER_MODE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,defs")

	add_definitions(
		-DG_DISABLE_DEPRECATED
		-DGDK_DISABLE_DEPRECATED
		-DGDK_PIXBUF_DISABLE_DEPRECATED
		-DGTK_DISABLE_DEPRECATED
		-DGDK_DISABLE_SINGLE_INCLUDES
		-DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES
		-DGTK_DISABLE_SINGLE_INCLUDES)
endif()

add_library(whiskermenu MODULE
	applications-page.cpp
	category.cpp
	command.cpp
	command-edit.cpp
	configuration-dialog.cpp
	element.h
	favorites-page.cpp
	icon-size.cpp
	launcher.cpp
	launcher-view.cpp
	page.cpp
	plugin.cpp
	profile-picture.cpp
	query.cpp
	recent-page.cpp
	register-plugin.c
	resizer-widget.cpp
	run-action.cpp
	search-action.cpp
	search-page.cpp
	section-button.cpp
	settings.cpp
	slot.h
	window.cpp)

target_link_libraries(whiskermenu
	${GTK3_LIBRARIES}
	${exo_LIBRARIES}
	${garcon_LIBRARIES}
	${libxfce4panel_LIBRARIES}
	${libxfce4ui_LIBRARIES}
	${libxfce4util_LIBRARIES})

string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES "release|minsizerel")
	add_definitions(-DNDEBUG -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT)
	add_custom_command(TARGET whiskermenu
		POST_BUILD COMMAND ${CMAKE_STRIP} $<TARGET_FILE:whiskermenu>)
endif()

install(TARGETS whiskermenu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/xfce4/panel/plugins)
install(FILES whiskermenu.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/xfce4/panel/plugins)

# popup script
configure_file(${PROJECT_SOURCE_DIR}/panel-plugin/xfce4-popup-whiskermenu.in
	${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu ESCAPE_QUOTES @ONLY)
install(PROGRAMS ${PROJECT_BINARY_DIR}/xfce4-popup-whiskermenu
	DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xfce4-popup-whiskermenu.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT doc)

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.1.7-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix memory leak when recreating window.
    - Use HTTPS for plugin website.
    - Translation updates: Bulgarian, French, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 22 Apr 2018 15:38:42 +0000

xfce4-whiskermenu-plugin (2.1.6-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix losing search focus. (bug #14209)
    - Fix crash when last search action is deleted.
    - Fix menu shown in alt-tab.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Danish, Finnish, German, Lithuanian, Polish, Portuguese, Spanish.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 08 Apr 2018 17:12:08 +0000

xfce4-whiskermenu-plugin (2.1.5-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix typo. (bug #14001)
    - Translation updates: Amharic, Danish, Japanese, Malay, Romanian.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 28 Dec 2017 18:32:03 +0000

xfce4-whiskermenu-plugin (2.1.4-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix excessive padding on panel button. (bug #13611)
    - Fix blurry category buttons with high DPI.
    - Fix blurry profile picture with high DPI.
    - Fix panel icon too big with high DPI. (bug #13893)
    - Translation updates: Catalan (Valencian), Danish, Hebrew, Hungarian,
      Lithuanian, Norwegian Bokmål, Portuguese (Brazil), Russian, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 13 Nov 2017 18:26:37 +0000

xfce4-whiskermenu-plugin (2.1.3-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fixed desktop action incorrectly parsing escaped k.
    - Translation updates: Catalan, Chinese (China), German, Italian, Nepali,
      Portuguese, Portuguese (Brazil), Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 05 Aug 2017 23:13:52 +0000

xfce4-whiskermenu-plugin (2.1.2-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fixed category names checkbox incorrectly enabled when opening dialog.
    - Fixed category names turning off at login. (bug #13422)
    - Translation updates: Arabic, Icelandic, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 04 Apr 2017 11:48:52 +0000

xfce4-whiskermenu-plugin (2.1.1-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fixed memory leak when editing launcher.
    - Translation updates: Catalan, Danish, German, Portuguese,
      Portuguese (Brazil), Russian, Serbian, Serbian (Latin).

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Mar 2017 14:39:18 +0000

xfce4-whiskermenu-plugin (2.1.0-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Add editing launchers from context menu. (bug #13290)
    - Add support for desktop actions. (bug #11787)
    - Add option to hide category names. (bug #12895)
    - Load applications immediately.
    - Translation updates: Bulgarian, Chinese (Taiwan), Croatian, Czech,
      Dutch, French, German, Greek, Hungarian, Korean, Kazakh, Lithuanian,
      Nepali, Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil),
      Serbian, Slovak, Slovenian, Spanish, Turkish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Feb 2017 14:01:44 +0000

xfce4-whiskermenu-plugin (2.0.3-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Port to GTK+ 3. (bug #11549)

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 Dec 2016 18:28:37 +0000

xfce4-whiskermenu-plugin (1.6.2-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Translation updates: Croatian, Dutch, Greek, Korean, Nepali,
      Norwegian Bokmål, Portuguese, Portuguese (Brazil), Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 10 Dec 2016 13:58:26 +0000

xfce4-whiskermenu-plugin (1.6.1-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Translation updates: Asturian, Basque, Catalan (Valencian),
      Chinese (China), Kazakh, Lithuanian, Polish, Russian, Turkish,
      Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 17 Oct 2016 10:34:52 +0000

xfce4-whiskermenu-plugin (1.6.0-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Add keyboard navigation for categories. (bug #11550)
    - Add tooltips for program descriptions. (bug #12379)
    - Add web search action.
    - Hide recent items when maximum is set to zero.
    - Prevent memory leak when changing element text.
    - Search favorites and recent first.
    - Switch to icon names from GtkStock.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Dutch, German, French, Hebrew, Hungarian, Lithuanian, Polish, Slovak,
      Slovenian, Serbian, Spanish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 20 Aug 2016 15:58:10 +0000

xfce4-whiskermenu-plugin (1.5.3-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix stuck button highlight. (bug #12402)
    - Fix losing categories. (bug #12541)
    - Fix warning about infinite recursion. (bug #12398)
    - Translation updates: Amharic, Basque, Dutch, Hebrew, Icelandic.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 16 Apr 2016 18:02:20 +0000

xfce4-whiskermenu-plugin (1.5.2-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix modifier keys resetting focus to search entry. (bug #12378)
    - Fix limited input length for search actions. (bug #12381)
    - Fix menu shrinking unnecessarily. (bug #12246)
    - Fix minimum window size.
    - Translation updates: Chinese (China), Hungarian, Korean, Lithuanian,
      Romanian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 29 Dec 2015 14:47:45 +0000

xfce4-whiskermenu-plugin (1.5.1-0ppa1~bionic1) bionic; urgency=low

  * New upstream release
    - Fix window being draggable. (bug #11908)
    - Fix not searching descriptions.
    - Translation updates: Asturian, Bulgarian, Chinese (China),
      Chinese (Taiwan), Croatian, Czech, Danish, Dutch, French, Finnish,


=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Graeme Gott <graeme@gottcode.org>
Build-Depends: cmake,
               debhelper (>= 9),
               gettext,
               hicolor-icon-theme,
               libexo-2-dev (>= 0.11),
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Standards-Version: 4.1.1
Homepage: https://gottcode.org/xfce4-whiskermenu-plugin/

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mugshot
Description: Alternate Xfce menu
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level catagories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "1")
-set(whiskermenu_version_micro "7")
+set(whiskermenu_version_minor "2")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 21 May 2018 20:48:13 +0200

xfce4-whiskermenu-plugin (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 May 2018 16:34:10 +0200

xfce4-whiskermenu-plugin (2.1.6-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - update standards version to 4.1.3.
  * New upstream version 2.1.6
  * d/control: remove Lionel and Jackson from uploaders, thanks!
  * d/compat bumped to 10
  * d/rules: drop --parallel, included in compat 10
  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 11 Apr 2018 13:55:13 +0200

=== debian/control ===
Source: xfce4-whiskermenu-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cmake,
               debhelper (>= 10),
               gettext,
               hicolor-icon-theme,
               libexo-2-dev (>= 0.11),
               libgarcon-1-0-dev,
               libgtk-3-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               pkg-config
Standards-Version: 4.1.3
Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

Package: xfce4-whiskermenu-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mugshot
Description: Alternate menu plugin for the Xfce desktop environment
 Whisker Menu is an alternate application launcher for Xfce. When you open it
 you are shown a list of applications you have marked as favorites. You can
 browse through all of your installed applications by clicking on the category
 buttons on the side. Top level categories make browsing fast, and simple to
 switch between. Additionally, Whisker Menu keeps a list of the last ten
 applications that you've launched from it.

## xfce4-whiskermenu-plugin 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "2")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.2.1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 2.2.1
  * Update Standards-Version to 4.2.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Sep 2018 13:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libxfce4ui-2-dev,
                libxfce4util-dev,
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

## xfce4-whiskermenu-plugin 2.3.0

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 2.3.0
  * d/copyright: Use 'https' in the source field.
  * d/compat, d/control: Bump dh compat to 11.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 07 Oct 2018 11:23:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                gettext,
                hicolor-icon-theme,
                libexo-2-dev (>= 0.11),

## xfce4-whiskermenu-plugin 2.3.0-0ppa1~bionic

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 # version number
 set(whiskermenu_version_major "2")
-set(whiskermenu_version_minor "2")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_minor "3")
+set(whiskermenu_version_micro "0")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.0-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix sidebar wider than iconless categories.
    - Add buttons for individual logout commands. (bug #14639)
    - Add option to stay visible when focus is lost. (bug #12240)
    - Always allow positioning commands next to search.
    - Improve preferences spacing. (bug #14683)
    - Translation updates: Bulgarian, Catalan, Chinese (China),
      Chinese (Taiwan), Czech, Danish, Dutch, French, German, Greek,
      Lithuanian, Nepali, Polish, Portuguese, Portuguese (Brazil),
      Russian, Serbian, Slovak, Slovenian, Turkish, Welsh.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 30 Sep 2018 14:56:05 +0000

xfce4-whiskermenu-plugin (2.2.1-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix category button staying active when dragged. (bug #14419)
    - Fix regression of non-square panel image support. (bug #14506)
    - Fix redundant hiding of menu.
    - Fix sidebar buttons retaining incorrect width.
    - Fix commands not following sidebar.
    - Translation updates: English (United Kingdom), Georgian, Japanese,
      Serbian, Slovak, Slovenian, Spanish, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Fri, 13 Jul 2018 11:20:27 +0000

xfce4-whiskermenu-plugin (2.2.0-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix panel icon size not following theme.
    - Disable opacity option when non-composited.
    - Rename option for including favorites in recent.
    - Load applications in a thread. (bug #12903)
    - Slide out search results.
    - Require GTK+ version 3.22.
    - Translation updates: Amharic, Belarusian, Bulgarian, Catalan,
      Chinese (China), Chinese (Taiwan), Croatian, Czech, Danish, Dutch,
      Esperanto, French, German, Lithuanian, Nepali, Polish, Portuguese,
      Portuguese (Brazil), Romanian, Russian, Slovak, Slovenian, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 21 May 2018 11:49:42 +0000

xfce4-whiskermenu-plugin (2.1.7-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix memory leak when recreating window.
    - Use HTTPS for plugin website.
    - Translation updates: Bulgarian, French, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 22 Apr 2018 15:38:42 +0000

xfce4-whiskermenu-plugin (2.1.6-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix losing search focus. (bug #14209)
    - Fix crash when last search action is deleted.
    - Fix menu shown in alt-tab.
    - Translation updates: Bulgarian, Catalan, Chinese (Taiwan), Czech,
      Danish, Finnish, German, Lithuanian, Polish, Portuguese, Spanish.

 -- Graeme Gott <graeme@gottcode.org>  Sun, 08 Apr 2018 17:12:08 +0000

xfce4-whiskermenu-plugin (2.1.5-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix typo. (bug #14001)
    - Translation updates: Amharic, Danish, Japanese, Malay, Romanian.

 -- Graeme Gott <graeme@gottcode.org>  Thu, 28 Dec 2017 18:32:03 +0000

xfce4-whiskermenu-plugin (2.1.4-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix excessive padding on panel button. (bug #13611)
    - Fix blurry category buttons with high DPI.
    - Fix blurry profile picture with high DPI.
    - Fix panel icon too big with high DPI. (bug #13893)
    - Translation updates: Catalan (Valencian), Danish, Hebrew, Hungarian,
      Lithuanian, Norwegian Bokmål, Portuguese (Brazil), Russian, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Mon, 13 Nov 2017 18:26:37 +0000

xfce4-whiskermenu-plugin (2.1.3-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fixed desktop action incorrectly parsing escaped k.
    - Translation updates: Catalan, Chinese (China), German, Italian, Nepali,
      Portuguese, Portuguese (Brazil), Russian, Spanish, Turkish.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 05 Aug 2017 23:13:52 +0000

xfce4-whiskermenu-plugin (2.1.2-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fixed category names checkbox incorrectly enabled when opening dialog.
    - Fixed category names turning off at login. (bug #13422)
    - Translation updates: Arabic, Icelandic, Swedish.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 04 Apr 2017 11:48:52 +0000

xfce4-whiskermenu-plugin (2.1.1-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fixed memory leak when editing launcher.
    - Translation updates: Catalan, Danish, German, Portuguese,
      Portuguese (Brazil), Russian, Serbian, Serbian (Latin).

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Mar 2017 14:39:18 +0000

xfce4-whiskermenu-plugin (2.1.0-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Add editing launchers from context menu. (bug #13290)
    - Add support for desktop actions. (bug #11787)
    - Add option to hide category names. (bug #12895)
    - Load applications immediately.
    - Translation updates: Bulgarian, Chinese (Taiwan), Croatian, Czech,
      Dutch, French, German, Greek, Hungarian, Korean, Kazakh, Lithuanian,
      Nepali, Norwegian Bokmål, Polish, Portuguese, Portuguese (Brazil),
      Serbian, Slovak, Slovenian, Spanish, Turkish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Wed, 01 Feb 2017 14:01:44 +0000

xfce4-whiskermenu-plugin (2.0.3-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Port to GTK+ 3. (bug #11549)

 -- Graeme Gott <graeme@gottcode.org>  Sun, 11 Dec 2016 18:28:37 +0000

xfce4-whiskermenu-plugin (1.6.2-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Translation updates: Croatian, Dutch, Greek, Korean, Nepali,
      Norwegian Bokmål, Portuguese, Portuguese (Brazil), Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 10 Dec 2016 13:58:26 +0000

xfce4-whiskermenu-plugin (1.6.1-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Translation updates: Asturian, Basque, Catalan (Valencian),
      Chinese (China), Kazakh, Lithuanian, Polish, Russian, Turkish,
      Ukrainian.



=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
 
-override_dh_auto_install:
-	dh_auto_install
-	find debian/xfce4-whiskermenu-plugin -name '*.la' -delete
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## xfce4-whiskermenu-plugin 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "0")
+set(whiskermenu_version_micro "1")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * d/control: update standards version to 4.3.0

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 08 Feb 2019 10:41:22 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libxfce4ui-2-dev,
                libxfce4util-dev,
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-whiskermenu-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-whiskermenu-plugin

=== debian/watch ===
version=4
https://archive.xfce.org/src/panel-plugins/xfce4-whiskermenu-plugin/([\d\.]+)/ \
	xfce4-whiskermenu-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-whiskermenu-plugin 2.3.2

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.2-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 27 Apr 2019 06:16:09 -0400

## xfce4-whiskermenu-plugin 2.3.2-0ppa1~bionic

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version "${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")

=== debian/changelog ===
xfce4-whiskermenu-plugin (2.3.2-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix editing menu items containting a single quote. (bug #15091)
    - Fix displaying empty tooltips. (bug #15137)
    - Translation updates: Dutch, Galician, Spanish, Swedish, Ukrainian.

 -- Graeme Gott <graeme@gottcode.org>  Tue, 26 Mar 2019 08:32:29 +0000

xfce4-whiskermenu-plugin (2.3.1-0ppa1~bionic) bionic; urgency=low

  * New upstream release
    - Fix crash when reload is required.
    - Translation updates: Catalan, Czech, Danish, Greek, Spanish, Finnish,
      Japanese, Korean, Malay, Dutch, Polish, Russian, Slovak.

 -- Graeme Gott <graeme@gottcode.org>  Sat, 19 Jan 2019 20:11:38 +0000
